/* PIANOKEYBOARD_H
 * CLASS DECLARATION
 *
 * CHANGLOG:
 * NAME:            |   CHANGES:                                                |   DATE:           |
 * Mewes, Lars      | Neuerstellung                                             | 24.09.2021        |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *
 * DESCRIPTION:
 * Diese Klasse stellt eine Klaviatur in einer "QGraphicsScene" dar und besitzt alle "PianoKey"-Elemente, die mit getter-setter-Funktionen genutzt werden.
 *
 * TO-DOs:
 * Beschriftung auf den Elementen ergänzen
 *
 */
#pragma once
#include <QGraphicsScene>
#include "PianoKey.h"
#include <QMouseEvent>

class MainWindow;

class PianoKeyBoard: public QGraphicsScene{
    PianoKey * keys[12];
public:

    void mousePressEvent(QGraphicsSceneMouseEvent *event);

    PianoKeyBoard(qreal x, qreal y, qreal w, qreal h, MainWindow *parent=nullptr);

    virtual ~PianoKeyBoard();
    PianoKey * getKey(int number)const;
};
